Bug 797105 - gluster peer probe <ip_address> not successful
gluster peer probe <ip_address> not successful
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: shishir gowda
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-02-24 04:46 EST by Shwetha Panduranga
Modified: 2013-12-08 20:29 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:14:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Shwetha Panduranga 2012-02-24 04:46:20 EST
Description of problem:
Execution of 'gluster peer probe <ip_address>' is not successful.

Glusterd Log:
-------------
[2012-02-24 20:15:33.345982] E [glusterd-utils.c:2209:glusterd_import_volinfo] 0-glusterd: volume1.rebalance missing in payload for dist
[2012-02-24 20:15:33.346084] E [glusterd-sm.c:1002:glusterd_friend_sm] 0-glusterd: handler returned: -2

Actual Results:-
------------------
[root@APP-SERVER1 ~]# gluster volume replace-brick dist 192.168.2.35:/export1 192.168.2.36:/export1 start
192.168.2.36, is not a friend
[root@APP-SERVER1 ~]# gluster peer probe 192.168.2.36
[root@APP-SERVER1 ~]# echo $?
110
[root@APP-SERVER1 ~]# gluster peer probe 192.168.2.36
Probe on host 192.168.2.36 port 24007 already in peer list
[root@APP-SERVER1 ~]# gluster peer detach 192.168.2.36
[root@APP-SERVER1 ~]# echo $?
110
[root@APP-SERVER1 ~]# gluster peer status
Number of Peers: 1
Hostname: 192.168.2.36
Uuid: 5d16bbd9-065d-486d-9f3b-51d888a73fee
State: Probe Sent to Peer (Connected)
[root@APP-SERVER1 ~]# gluster peer detach 192.168.2.36
[root@APP-SERVER1 ~]# echo $?
110
[root@APP-SERVER1 ~]# gluster volume replace-brick dist 192.168.2.35:/export1 192.168.2.36:/export1 start
192.168.2.36, is not befriended at the moment
[root@APP-SERVER1 ~]# gluster peer probe 192.168.2.35
Probe on localhost not needed
[root@APP-SERVER1 ~]# gluster peer probe 192.168.2.36
Probe on host 192.168.2.36 port 24007 already in peer list
[root@APP-SERVER1 ~]# 
[root@APP-SERVER1 ~]# gluster volume replace-brick dist 192.168.2.35:/export1 192.168.2.36:/export1 start
192.168.2.36, is not befriended at the moment

Version-Release number of selected component (if applicable):
mainline
Comment 1 Anand Avati 2012-02-27 05:19:37 EST
CHANGE: http://review.gluster.com/2814 (mgmt/glusterd: pass defrag_cmd in rsp dict for volume info) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Shwetha Panduranga 2012-05-04 09:22:37 EDT
Bug is fixed . verified on 3.3.0qa39

Note You need to log in before you can comment on or make changes to this bug.